Bug 206220 - Implement OffscreenCanvas.copiedImage
Summary: Implement OffscreenCanvas.copiedImage
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Lord
URL:
Keywords: InRadar
: 204675 (view as bug list)
Depends on:
Blocks: 183720 202797 206221
  Show dependency treegraph
 
Reported: 2020-01-14 02:37 PST by Chris Lord
Modified: 2020-02-13 07:52 PST (History)
15 users (show)

See Also:


Attachments
Patch (31.88 KB, patch)
2020-02-10 07:46 PST, Chris Lord
no flags Details | Formatted Diff | Diff
Patch (31.88 KB, patch)
2020-02-13 06:54 PST, Chris Lord
no flags Details | Formatted Diff | Diff
Patch (31.89 KB, patch)
2020-02-13 07:06 PST, Chris Lord
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Lord 2020-01-14 02:37:31 PST
The copiedImage method on OffscreenCanvas is unimplemented, and so causes all tests that use createImageBitmap on an OffscreenCanvas to fail. The implementation shouldn't be a big deal.
Comment 1 Chris Lord 2020-02-10 07:06:17 PST
*** Bug 204675 has been marked as a duplicate of this bug. ***
Comment 2 Chris Lord 2020-02-10 07:46:10 PST
Created attachment 390252 [details]
Patch
Comment 3 WebKit Commit Bot 2020-02-13 03:54:56 PST
Comment on attachment 390252 [details]
Patch

Rejecting attachment 390252 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 390252, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=390252&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=206220&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Updating working directory
Processing patch 390252 from bug 206220.
Fetching: https://bugs.webkit.org/attachment.cgi?id=390252
Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'\u017dan Dober\u0161ek']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 15 diffs from patch file(s).
patching file Source/WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebCore/html/OffscreenCanvas.cpp
patching file Source/WebCore/html/OffscreenCanvas.h
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/platform/gtk/TestExpectations
Hunk #1 FAILED at 4093.
1 out of 1 hunk FAILED -- saving rejects to file LayoutTests/platform/gtk/TestExpectations.rej
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-drawImage-expected.txt
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-flipY-expected.txt
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-invalid-args-expected.txt
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-serializable-expected.txt
patching file LayoutTests/platform/wpe/TestExpectations
Hunk #1 succeeded at 2215 with fuzz 1 (offset 11 lines).
patching file LayoutTests/platform/wpe/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-drawImage-expected.txt
patching file LayoutTests/platform/wpe/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-flipY-expected.txt
patching file LayoutTests/platform/wpe/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-invalid-args-expected.txt
patching file LayoutTests/platform/wpe/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-serializable-expected.txt
patching file LayoutTests/platform/wpe/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-transfer-expected.txt

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'\u017dan Dober\u0161ek']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 15 diffs from patch file(s).
patching file Source/WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebCore/html/OffscreenCanvas.cpp
patching file Source/WebCore/html/OffscreenCanvas.h
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/platform/gtk/TestExpectations
Hunk #1 FAILED at 4093.
1 out of 1 hunk FAILED -- saving rejects to file LayoutTests/platform/gtk/TestExpectations.rej
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-drawImage-expected.txt
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-flipY-expected.txt
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-invalid-args-expected.txt
patching file LayoutTests/platform/gtk/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-serializable-expected.txt
patching file LayoutTests/platform/wpe/TestExpectations
Hunk #1 succeeded at 2215 with fuzz 1 (offset 11 lines).
patching file LayoutTests/platform/wpe/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-drawImage-expected.txt
patching file LayoutTests/platform/wpe/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-flipY-expected.txt
patching file LayoutTests/platform/wpe/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-invalid-args-expected.txt
patching file LayoutTests/platform/wpe/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-serializable-expected.txt
patching file LayoutTests/platform/wpe/imported/w3c/web-platform-tests/2dcontext/imagebitmap/createImageBitmap-transfer-expected.txt

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'\u017dan Dober\u0161ek']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
From https://git.webkit.org/git/WebKit
   7ee531e75c6..63d9e9877c5  master     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 256503 = 7ee531e75c68475e095979fd44ecc735506dd9dd
r256504 = 63d9e9877c5d15243f5c9c9753fef20599b9f461
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: https://webkit-queues.webkit.org/results/13321962
Comment 4 Chris Lord 2020-02-13 06:54:27 PST
Created attachment 390638 [details]
Patch
Comment 5 ews-feeder 2020-02-13 06:55:25 PST
Comment on attachment 390638 [details]
Patch

Rejecting attachment 390638 [details] from commit-queue.

clord@igalia.com does not have committer permissions according to https://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 6 WebKit Commit Bot 2020-02-13 07:02:07 PST
Comment on attachment 390638 [details]
Patch

Rejecting attachment 390638 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 390638, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Zan Dobersek found in /Volumes/Data/EWS/WebKit/LayoutTests/ChangeLog does not appear to be a valid reviewer according to contributors.json.
/Volumes/Data/EWS/WebKit/LayoutTests/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: https://webkit-queues.webkit.org/results/13322030
Comment 7 Chris Lord 2020-02-13 07:06:12 PST
Created attachment 390639 [details]
Patch
Comment 8 WebKit Commit Bot 2020-02-13 07:51:55 PST
Comment on attachment 390639 [details]
Patch

Clearing flags on attachment: 390639

Committed r256505: <https://trac.webkit.org/changeset/256505>
Comment 9 WebKit Commit Bot 2020-02-13 07:51:57 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2020-02-13 07:52:16 PST
<rdar://problem/59423204>